#
# spec file for package xmltex (Version 0.14)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  libpng-devel-packages te_latex te_pdf tetex
# usedforbuild    aaa_base aaa_dir aaa_version autoconf automake base bash bindutil binutils bison bzip cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less libpng libpng-devel libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit te_ams te_latex te_pdf tetex texinfo textutils timezone unzip util-linux vim

Name:         xmltex
Summary:      Typesetting XML with TeX
Version:      0.14
Release:      309
Copyright:    LPPL
Group:        Productivity/Publishing/TeX/Base
%define XT_NAME base.zip
Source:       ftp://ftp.tex.ac.uk/tex-archive/macros/xmltex/base.zip
%define xml_tex_dir /usr/share/texmf/tex/latex/xmltex
%define var_web2c_dir /var/lib/texmf/web2c/
URL:          http://users.ox.ac.uk/~rahtz/passivetex/
#Patch:      
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
xmltex is a system for typesetting XML files with TeX. It may be used
on its own or in conjunction with another TeX format. (LaTeX is
assumed for most examples).

xmltex supports the XML Namespace Recommendation. Arbitrary prefixes
may be used in document instances and in definition files. It
supports any encoding that matches ASCII in the first 127 positions.
UTF-8, latin-1, and KOI8-R are included in the distribution. Other
encodings may be trivially added.

Further documentation may be obtained by running manual.tex through
LaTeX.

Authors:
--------
    David Carlisle

SuSE series: tex

%define INSTALL install -m755 -s
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%prep
rm -fr %{name}
%{INSTALL_DIR} %{name}
pushd %{name}
unzip -a $RPM_SOURCE_DIR/%{XT_NAME}
popd

%build
pushd %{name}/base
pdftex -ini "&pdflatex" pdfxmltex.ini
popd

%install
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
   rm -fr $RPM_BUILD_ROOT
   %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
# make install
pushd %{name}/base
%{INSTALL_DIR} $RPM_BUILD_ROOT%{var_web2c_dir}
%{INSTALL_DATA} *.fmt $RPM_BUILD_ROOT%{var_web2c_dir}
# Clean it up! -ke-
%{INSTALL_DIR} $RPM_BUILD_ROOT%{xml_tex_dir}
%{INSTALL_DATA} * $RPM_BUILD_ROOT%{xml_tex_dir}
# test
%{INSTALL_DIR} $RPM_BUILD_ROOT/usr/bin
tbindir=$(ls -l /usr/bin/latex | sed 's:.*/bin/\(.*\)/latex.*:\1:')
%{INSTALL_DIR} $RPM_BUILD_ROOT/usr/share/texmf/teTeX/bin/$tbindir
pushd $RPM_BUILD_ROOT/usr/share/texmf/teTeX/bin/$tbindir
  ln -s pdftex pdfxmltex
popd
pushd $RPM_BUILD_ROOT/usr/bin
  ln -s ../share/texmf/teTeX/bin/$tbindir/pdfxmltex pdfxmltex
popd

%post
mkdir -p var/adm/SuSEconfig
touch var/adm/SuSEconfig/run-texhash

%postun
mkdir -p var/adm/SuSEconfig
touch var/adm/SuSEconfig/run-texhash

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
# %doc
/usr/share/texmf/teTeX/bin/%{_arch}-*libc*/*
/usr/bin/*
%{var_web2c_dir}
%{xml_tex_dir}

%changelog -n xmltex
* Mon May 06 2002 - ke@suse.de
- Fix dangling symlink; try to locate .../bin/%%{_arch}-linux-*/ more
  reliably.
  Reported by Togan Muftuoglu [# 16113].
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Fri May 18 2001 - ke@suse.de
- Initial SuSE package: version 0.14.
